// bscomponents: Custom Elements Define Library, ES Module/ES5 Target
import { defineCustomElement } from './bscomponents.core.js';
import {
  BsButton,
  BsCollapse,
  BsDropdown,
  BsModal,
  BsTooltip
} from './bscomponents.components.js';

export function defineCustomElements(window, opts) {
  defineCustomElement(window, [
    BsButton,
    BsCollapse,
    BsDropdown,
    BsModal,
    BsTooltip
  ], opts);
}