import '../../stencil.core';
export declare class BsTooltip {
    tooltipEl: HTMLElement;
    noEnableOnLoad: boolean;
    showEventName: string;
    shownEventName: string;
    hideEventName: string;
    hiddenEventName: string;
    insertedEventName: string;
    config: any;
    isEnabled: boolean;
    activeTrigger: any;
    tooltipId: string;
    tip: HTMLElement;
    popperHandle: any;
    hoverState: string;
    timeout: any;
    disposeTimeout: any;
    componentDidLoad(): void;
    componentDidUnload(): void;
    enableTooltip(overrideConfig?: any): void;
    makeTip(): HTMLDivElement;
    getTipElement(): HTMLElement;
    disableTooltip(): void;
    toggle(event?: any): void;
    isWithActiveTrigger(): boolean;
    enter(event?: any): void;
    leave(event?: any): void;
    show(): void;
    showComplete(): void;
    hide(callback?: any): void;
    hideComplete(callback?: any): void;
    removeTooltipFromDom(): void;
    fixTransition(): void;
    handlePopperOnCreate: (data: any) => void;
    handlePopperOnUpdate: (data: any) => void;
    handlePopperPlacementChange(popperData: any): void;
    cleanTipClass(): void;
    addAttachmentClass(attachment: any): void;
    getAttachment(placement: any): any;
    setContent(): void;
    setElementContent(el: any, content: any): void;
    getTitle(): string;
    handleClickTrigger: (event: any) => void;
    handleMouseEnter: (event: any) => void;
    handleFocusIn: (event: any) => void;
    handleMouseLeave: (event: any) => void;
    handleFocusOut: (event: any) => void;
    handleModalHide: (event: any) => void;
    setListeners(): void;
    fixTitle(): void;
    getConfig(overrideConfig?: any): void;
    tooltip(tooltipOptions?: any): void;
    render(): JSX.Element;
}
